  <openSSL>
    <server>
      <!-- openssl req -subj "/CN=localhost" -new -newkey rsa:2048 -days 365 -nodes -x509 -keyout /etc/clickhouse-server/server.key -out /etc/clickhouse-server/server.crt -->
      <certificateFile>/etc/clickhouse-server/ssl/tls.crt</certificateFile>
      <privateKeyFile>/etc/clickhouse-server/ssl/tls.key</privateKeyFile>
      <caConfig>/etc/clickhouse-server/ssl/ca.crt</caConfig>
      <!-- openssl dhparam -out /etc/clickhouse-server/dhparam.pem 4096 -->
      <dhParamsFile>/etc/clickhouse-server/ssl/dhparam.pem</dhParamsFile>
      <verificationMode>relaxed</verificationMode>
      <loadDefaultCAFile>true</loadDefaultCAFile>
      <cacheSessions>true</cacheSessions>
      <disableProtocols>sslv2,sslv3,tlsv1,tlsv1_1</disableProtocols>
      <preferServerCiphers>true</preferServerCiphers>
    </server>
    <client>
      <loadDefaultCAFile>true</loadDefaultCAFile>
      <caConfig>/etc/clickhouse-server/ssl/ca.crt</caConfig>
      <cacheSessions>true</cacheSessions>
      <disableProtocols>sslv2,sslv3,tlsv1,tlsv1_1</disableProtocols>
      <preferServerCiphers>true</preferServerCiphers>
      <!-- Use for self-signed: <verificationMode>none</verificationMode> -->
      <verificationMode>relaxed</verificationMode>
      <invalidCertificateHandler>
        <!-- Use for self-signed: <name>AcceptCertificateHandler</name> -->
        <name>RejectCertificateHandler</name>
      </invalidCertificateHandler>
    </client>
  </openSSL>